Skip to main content
GET
/
v1
/
charge-records
Retrieve the charge records data
curl --request GET \
  --url https://api.spirii.com/v1/charge-records \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123665,
      "location": {
        "id": 1766,
        "crmCustomerId": null,
        "name": "Søllerødgade",
        "address": "Søllerødgade 42",
        "zipCode": "2200",
        "city": "København",
        "country": "DK",
        "type": "Parking lot",
        "isPublic": 1
      },
      "evseId": "DK.SPI.ZM0050*1",
      "auth": {
        "evcoID": null,
        "tagUid": "6F15885115F85294D18C",
        "tagLabel": "SpiriiGo-custId-6329",
        "tagDescription": "Generated during setupIntent creation",
        "tagType": "creditCard",
        "appUserId": 6329
      },
      "isRoaming": false,
      "isPublicSharing": false,
      "startedAt": "2021-06-21T08:30:55.000Z",
      "updatedAt": "2021-06-21T08:30:55.000Z",
      "endedAt": "2021-06-21T12:25:59.000Z",
      "consumed": 13.79,
      "price": {
        "currency": "DKK",
        "amount": "31,02"
      },
      "isDynamicPrice": false,
      "priceSource": "LocationTariff",
      "voucherCode": "",
      "voucherGroupId": 0,
      "billingMethod": "AppPayment",
      "billingDetails": ""
    },
    {
      "id": 124909,
      "location": {
        "id": 1766,
        "crmCustomerId": null,
        "name": "Søllerødgade",
        "address": "Søllerødgade 42",
        "zipCode": "2200",
        "city": "København",
        "country": "DK",
        "type": "Parking lot",
        "isPublic": 1
      },
      "evseId": "DK.SPI.ZM0051*1",
      "auth": {
        "evcoID": null,
        "tagUid": "6606F3F9B70E5F357F07",
        "tagLabel": "SpiriiGo-custId-6670",
        "tagDescription": "Generated during setupIntent creation",
        "tagType": "creditCard",
        "appUserId": 6670
      },
      "isRoaming": false,
      "isPublicSharing": false,
      "startedAt": "2021-06-22T21:00:12.000Z",
      "updatedAt": "2022-11-11T08:17:39.000Z",
      "endedAt": "2021-06-23T07:34:34.000Z",
      "consumed": 11.36,
      "price": {
        "currency": "DKK",
        "amount": "25,56"
      },
      "isDynamicPrice": false,
      "priceSource": "LocationTariff",
      "voucherCode": "",
      "voucherGroupId": 0,
      "billingMethod": "AppPayment",
      "billingDetails": ""
    }
  ],
  "totalElements": 818,
  "offset": 0,
  "limit": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startedAt
string<timestamp>

Transaction started at (Both startedAt and endedAt cannot be applied to the same request)

Example:

"2021-12-11T13:04:49.372Z"

updatedAt
string<timestamp>

Transaction record updated date

Example:

"2023-01-11T13:04:49.372Z"

updatedAtMax
string<timestamp>

ISO Timestamp

Example:

"2023-02-11T13:04:49.372Z"

endedAt
string<timestamp>

Transaction ended at (Both startedAt and endedAt cannot be applied to the same request)

Example:

"2021-12-11T13:04:49.372Z"

endedAtMax
string<timestamp>

ISO Timestamp

Example:

"2021-12-11T13:04:49.372Z"

locationId
integer

location ID to retrieve

Example:

1

voucherId
integer
Example:

1

appUserId
integer

Only retrieve informations associated with an appUserId

Example:

1

idTagUid
string
Example:

"1"

sortBy
enum<string>
default:id
Available options:
id,
startedAt,
updatedAt,
endedAt
Example:

"id"

sortDir
enum<string>
default:ASC
Available options:
ASC,
DESC
Example:

"ASC"

offset
integer

The number of items to skip before starting to collect the result set

Example:

250

limit
integer
default:250

Number of record to collect

Required range: x <= 2000
Example:

250

format
enum<string>
default:standard
Available options:
standard,
finance
Example:

"finance"

output
enum<string>
default:JSON
Available options:
CSV,
JSON
Example:

"JSON"

delimiter
enum<string>
default:,
Available options:
;,
,
Example:

","

fieldSeparator
enum<string>
default:.
Available options:
_,
.
Example:

"."

decimalSeparator
enum<string>
default:.
Available options:
,,
.
Example:

"."

Response

Charge Records Data

data
object[]
required